## mirror 1.0-1

=== debian/changelog ===
mirror (1.0-1) unstable; urgency=low

  * Initial release 

 -- Attila Csipa <maemo@csipa.in.rs>  Sun, 18 Oct 2009 13:44:16 +0200
