=== debian/control ===
Source: mirror
Section: multimedia
Priority: extra
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.0
Maintainer: Attila Csipa <maemo@csipa.in.rs>
XSBC-Original-Maintainer: Attila Csipa <maemo@csipa.in.rs>


Package: mirror
Architecture: any
Depends: gstreamer0.10-plugins-good-extra, ${shlibs:Depends}, ${misc:Depends}
Description: Displays a real-time mirror image from the internal camera
