## mirror 1.0-2

=== debian/changelog ===
mirror (1.0-2) unstable; urgency=low

  * Added missing section icon for application manager

 -- Attila Csipa <maemo@csipa.in.rs>  Sun, 18 Oct 2009 19:40:11 +0200
