=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: mirror
-Section: multimedia
+Section: user/multimedia
 Priority: extra
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.8.0
@@ -11,4 +11,47 @@
 Architecture: any
 Depends: gstreamer0.10-plugins-good-extra, ${shlibs:Depends}, ${misc:Depends}
 Description: Displays a real-time mirror image from the internal camera
+XB-Maemo-Display-Name: Mirror
+XB-Maemo-Icon-26: 
+  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
+  AP+gvaeTAAAACXBIWXMAAABIAAAASABGyWs+AAAACXZwQWcAAAAaAAAAGgAH
+  smYvAAAGL0lEQVRIx82WW2wcZxXH/3PZ2dmL13vxete14zg4NcZOFDtUjhIo
+  spJAW2SQWoEaKaa8IBSoQOKB9KFCIOQICg9IBqmVQH0qKagIAVVjQsiFNHbi
+  ri9J2sS37K53szu73uvszszu3L4ZHupULgTHfeMvHX1P5/z0fef8jz4Kn1Cp
+  9H1EI1H6+o0bHQuL879lWfZALpe/fH5qasLX6lu+cvnyQ/OonQIu/PMinDxP
+  S/X6iFgTx+t16fC9+L3+9WTSbei6XdjYePkHP3zpl4sL8+bPz0z8Vz6zE8jv
+  Xn8dtm0z8XjiW8sry69ls8JRnnd2+Fu8jmI2A6fLQ+0fGh4xDJ2xLXLj+Be/
+  RC5dvPjJQL+anEQmk4EsSc+l0unJ/r6+8DdfeAHHjx2FXavg2p//BCGRRJMQ
+  J+d2jRiGkTFN8+bnn3wS195996M67KNAzWYTwWCwYz2ZfGnowIHAN8bHwXEc
+  qsUN/OOtPyKTK8K0bTTWE0iyrCfa1fU9hqGnbCC/tQ69HeQ3r74KqS6hJtaO
+  Ozhu+JmnnwbHcdB1A3fmZ7F69w7KmoGaYUKs1pGPJ6Dp2gDHcYdo+uPt3xZE
+  UxR+dmYChmkc6d2zh41Go7AIQa1axdLcLBRJBoGNpkkgNBqoiSIMVXM6ef4z
+  bpd75yAnz+Nv75xz8LyzM9zeDoZhoBsGysUNrK+uQNUJeJqBRghUk8BDAxQx
+  YJim2yTkY7W27ZHb7UZbW9j2tfh0QkwQQmDoBsrFAgqFEsCyCPAOVDQNLENj
+  uLcNJkuhWhWrhqHv/EY878LUubfNFp9vuVQqo1arwSQEDaUB1u0GYRi4WBpe
+  BwuXk0VkVwQ6GFlRlNuaqu0c9OxXv4LBwf3wt/ovMAwr3l1agmXb4N0etEY7
+  YTkcKCkaHBQFmmaQ0lzQDHLr1uLi6ptvvMFiy0LYFgQAwWAQkUh0pqOj4/el
+  cgXrqRQ8/gBCHbvA0AwkTYfFOjBw8AmwrWFlbWVl5s77738aQB+AIAAH8JAV
+  NDY2BpfbzUj1elhRlF2SJD0my7Kjd+/enqPHjr/c39/v9/l8yGcFvHf1EuoN
+  FYFwBE6Pq7G4sPCX81NTFwghIoANfOilIgDlo2F4/sQJeLxedz6X+0K1UnmO
+  EPI5h8PxmD8Q8Hi9XrpUKtkry0vM0NAQXDyPFr8PfcOf1VKplJLNZu/HZ+NX
+  YrOztwkhGgADAAFgAbABgPrRT36M1ZVV+P3+7nwu99Nisfi1nt27PYePHMHg
+  4CCCwSAEQcDU38/jfjqNffv3o6/vceRzAtLpdPGDD+78YWZ6+qqu62SzuAGg
+  DqC0GXUABstQNIaGhqIL8/OvybL8zNjYGMZPnkRXVxds20azqYLjOPT07Mba
+  2hpisRhYlkUoFEQo1BYeGBh4Kp/Pv7W8tHR3sxXWJkwHYG7CwbAch0MjI99d
+  WVk+1dOzhzp9+jQikQgIIWg0m5AVGYZpgnM64XK5wTmd4F0uNFUVPp8P/kAg
+  lEwklEwm87bX65V0XW9uQsiDZwMA+szEhMPF84d9vlZqdHQUAb8flmVBNwyo
+  qgZV1UAIQaQ9goMHh3FweBi+lhaUSmXIjQYsy4Kmqk8wDBNpb2//n9PLzsVi
+  VkYQFEmSkM1kYdk2TNOErunQNBW6ocOybDA0jfZwGB63BxsbG2gLh8HzPBbm
+  5qCqKmEYho92RJFIJB4KYr7z4ou2ZVn+ffv2fXk9tc44OSeCoRBq9RqqVRGS
+  JEHXNNi2DZqiPjxpGhQFxONxXP3XFatWE88VCoVLgiBItm0//EaFQgH1ev2v
+  h0ZGnpIk6euv/OIVanR0FJ2dnVAUBUqjAYZm4A/40RYKwcFxaDZV3Lp5E3Ox
+  mE1R1EylXHkHgEj+Y5FuFQUAC4s3cfbs2U+JYvX7wWDomD/g7xNFkevu7oau
+  62BYFizLwiIWRLEKQchBqtcqmqZdmYvF3kwmk9c2DWpvC9oi37dPnQqdPDl+
+  RJblEyzLjpQrZW+1KtK1mmjJktRUm2pOluXb8fi96RvXr88pipIAUNkca+wU
+  hMnJX2N6Zhq9vXtbBUE4BNjdtm1zmqbZ5VKptra2JqTT6ZxlWSUA0uYoP1KP
+  +m4xW+KBGR+Y0Mb/o/4N8ykU8au2SFcAAAAldEVYdGNyZWF0ZS1kYXRlADIw
+  MDktMTAtMThUMTM6MDM6NDkrMDI6MDDNoTZNAAAAJXRFWHRtb2RpZnktZGF0
+  ZQAyMDA2LTA5LTI3VDE2OjEwOjUyKzAyOjAw0eVBqAAAAABJRU5ErkJggg==
+  ====
