## mirror 1.0-3

=== debian/changelog ===
mirror (1.0-3) unstable; urgency=low

  * Added missing README and gstreamer-tools dependency, increased gamma

 -- Attila Csipa <maemo@csipa.in.rs>  Mon, 19 Oct 2009 22:39:23 +0200
