=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: mirror
 Architecture: any
-Depends: gstreamer0.10-plugins-good-extra, ${shlibs:Depends}, ${misc:Depends}
+Depends: gstreamer0.10-plugins-good-extra, gstreamer0.10-plugins-good, gstreamer-tools, ${shlibs:Depends}, ${misc:Depends}
 Description: Displays a real-time mirror image from the internal camera
 XB-Maemo-Display-Name: Mirror
 XB-Maemo-Icon-26:
