## mirror 2.0-1

=== debian/changelog ===
mirror (2.0-1) unstable; urgency=low

  * Added python wrapper, fixed title and aspect ratio, suspends operation when not in foreground

 -- Attila Csipa <maemo@csipa.in.rs>  Mon, 19 Oct 2009 22:39:23 +0200
