=== debian/control ===
--- 
+++ 
@@ -4,13 +4,15 @@
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.8.0
 Maintainer: Attila Csipa <maemo@csipa.in.rs>
+Homepage: https://garage.maemo.org/projects/mirrorapp/
 XSBC-Original-Maintainer: Attila Csipa <maemo@csipa.in.rs>
 
 
 Package: mirror
 Architecture: any
-Depends: gstreamer0.10-plugins-good-extra, gstreamer0.10-plugins-good, gstreamer-tools, ${shlibs:Depends}, ${misc:Depends}
+Depends: gstreamer0.10-plugins-good-extra, gstreamer0.10-plugins-good, python-gst0.10, python, python-hildon, ${shlibs:Depends}, ${misc:Depends}
 Description: Displays a real-time mirror image from the internal camera
+Homepage: https://garage.maemo.org/projects/mirrorapp/
 XB-Maemo-Display-Name: Mirror
 XB-Maemo-Icon-26: 
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
