## mirror 2.0-2

=== debian/changelog ===
mirror (2.0-2) unstable; urgency=low

  * Power saving when in background

 -- Attila Csipa <maemo@csipa.in.rs>  Sat, 24 Oct 2009 10:39:23 +0200
