=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Maintainer: Attila Csipa <maemo@csipa.in.rs>
 Homepage: https://garage.maemo.org/projects/mirrorapp/
 XSBC-Original-Maintainer: Attila Csipa <maemo@csipa.in.rs>
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1085
 
 
 Package: mirror
