## mirror 2.1-0

=== debian/changelog ===
mirror (2.1-0) unstable; urgency=low

  * Wide as default view, remember settings in gconf

 -- Attila Csipa <maemo@csipa.in.rs>  Sun, 25 Oct 2009 10:39:23 +0200

mirror (2.0-3) unstable; urgency=low

  * Ignore svn dirs, bugtracker field moved

 -- Attila Csipa <maemo@csipa.in.rs>  Sun, 25 Oct 2009 10:39:23 +0200
