## mirror 2.1-1

=== debian/changelog ===
mirror (2.1-1) unstable; urgency=low

  * Minor fixes, image quality warning banner

 -- Attila Csipa <maemo@csipa.in.rs>  Sat, 31 Oct 2009 01:11:34 +0100
