=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
 
 Package: mirror
 Architecture: any
-Depends: gstreamer0.10-plugins-good-extra, gstreamer0.10-plugins-good, python-gst0.10, python, python-hildon, ${shlibs:Depends}, ${misc:Depends}
+Depends: gstreamer0.10-plugins-good-extra, gstreamer0.10-plugins-good, python-gst0.10, python, python-hildon, python-gconf, ${shlibs:Depends}, ${misc:Depends}
 Description: Displays a real-time mirror image from the internal camera
 Homepage: https://garage.maemo.org/projects/mirrorapp/
 XB-Maemo-Display-Name: Mirror
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1085
 XB-Maemo-Icon-26: 
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
   AP+gvaeTAAAACXBIWXMAAABIAAAASABGyWs+AAAACXZwQWcAAAAaAAAAGgAH
