=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs
-	dh_install
+	dh_install -X.svn
 	# Add here commands to install the package into debian/mirror.
 	# $(MAKE) DESTDIR=$(CURDIR)/debian/mirror install
   # install -d $(CURDIR)/debian/tmp/usr/bin
