## mirror 2.9

=== debian/changelog ===
mirror (2.9-62) unstable; urgency=low

  * *Really* add the libperl4-corelibs-perl dependency. Closes: #683448.

 -- Steve McIntyre <93sam@debian.org>  Tue, 31 Jul 2012 22:42:02 +0100

mirror (2.9-61) unstable; urgency=low

  * Add Depends on libperl4-corelibs-perl. Closes: #667893. Thanks to
    Santiago Vila for the patch.

 -- Steve McIntyre <93sam@debian.org>  Tue, 15 May 2012 13:15:02 +0100

mirror (2.9-60) unstable; urgency=low

  * New maintainer

 -- Steve McIntyre <93sam@debian.org>  Mon, 23 Jan 2012 19:43:02 +0000

mirror (2.9-59) unstable; urgency=low

  * mirror orphaned

 -- Ian Maclaine-cross <iml@debian.org>  Thu, 15 Dec 2011 10:25:58 +1100

mirror (2.9-58) unstable; urgency=low

  * Corrected description in debian/patches/debian-patches_2.9-1_57
  * Corrected description in debian/control.

 -- Ian Maclaine-cross <iml@debian.org>  Fri, 25 Nov 2011 18:26:36 +1100

mirror (2.9-57) unstable; urgency=low

  * Cumulative patch 1 to 57 corrected for FTBFS (Closes: #643219).
  * lintian warnings fixed.

 -- Ian Maclaine-cross <iml@debian.org>  Fri, 25 Nov 2011 11:44:29 +1100

mirror (2.9-56) unstable; urgency=low

  * Updated /etc/mirror/sites/*
  * Removed first two changes in 2.9-47 which are obsolete so behaviour
    of 2.9-56 is closer to versions before 2.9-47 (Closes: #307413).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Debian versions of manpages shifted to man/.
  * Current version tree debian/dsrc/ shifted to dsrc/.
  * Maintainer information added in debian/README.maintenance.

 -- Ian Maclaine-cross <iml@debian.org>  Tue, 25 Jan 2011 10:11:26 +1100

mirror (2.9-55) unstable; urgency=low

  * Build-depends updated in debian/control (Closes: #544092)
  * Package errors detected by lintian removed.	

 -- Ian Maclaine-cross <iml@debian.org>  Sat, 29 Aug 2009 15:22:43 +1000

mirror (2.9-54) unstable; urgency=low
  
  * Fixed mkls-lR date error (Closes: #435726).	
  * Updated debian/deb-mirrors to correct sites/Debian.	
  * Corrected debian/control.

 -- Ian Maclaine-cross <iml@debian.org>  Sat, 10 May 2008 18:16:14 +1000

mirror (2.9-53.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    + Fix bashism (Closes: #459085).
  * debian/control:
    + Add Homepage field.

 -- Marco Rodrigues <gothicx@sapo.pt>  Fri, 25 Jan 2008 11:39:19 +0000

mirror (2.9-53) unstable; urgency=low

  * sites/debian changed to sites/Debian.
  * Note about editing /etc/mirror/sites/ files added to 
    mirrors.1 (Closes: #308949). 	
  * FHS requires arch independent lib/mirror in share/mirror (Closes: #350312).
  * lsparse.pl and dateconv.pl new ls format patch by 
    Russ Allbery <rra@debian.org> (Closes: #350310).	
	
 -- Ian Maclaine-cross <iml@debian.org>  Thu, 12 Feb 2006 00:33:19 +1100

mirror (2.9-52) unstable; urgency=low

  * mirror.1 corrected and mention of ls-lR files improved.
  * /etc/mirror/debian.dist improved.
  * Package errors detected by lintian removed.	

 -- Ian Maclaine-cross <iml@debian.org>  Wed,  9 Sep 2004 19:54:51 +1100

mirror (2.9-51) unstable; urgency=low

  * mkls-lR corrected for new date string in diff -u v2.8.1+.
  * mirror.pl corrected for new date string in ls-lR.patch.gz

 -- Ian Maclaine-cross <iml@debian.org>  Sat,  3 Jan 2004 09:02:16 +1100

mirror (2.9-50) unstable; urgency=low

  * Accept FTP server response "227 Entering Passive Mode(...)"
    as well as "227 Entering Passive Mode (...)".  Ftp.pl patch by
    Herbert Xu <herbert@gondor.apana.org.au>. (Closes: #214674)    	

 -- Ian Maclaine-cross <iml@debian.org>  Sat, 11 Oct 2003 04:31:05 +1000

mirror (2.9-49) unstable; urgency=low

  * Obsolete comment deleted from /etc/mirror/mirror.defaults.
  * Added line to get debian-installer files to debian-dist. 	

 -- Ian Maclaine-cross <iml@debian.org>  Sat,  2 Aug 2003 16:11:22 +1000

mirror (2.9-48) unstable; urgency=low

  * mirrors now handles missing -f arg.
  * Missing Release file added to debian-dist get_patt.
	
 -- Ian Maclaine-cross <iml@debian.org>  Thu, 22 May 2003 14:17:31 +1100

mirror (2.9-47) unstable; urgency=low
  	
  * The pool/ files for any Debian distribution are specified
    in the Packages files in dists/. If pool_listings=regex matches
    a local Packages or Packages.gz file, mirror extracts pathnames 
    using pool_mappings= and leaves only these in the remote listing.
    Mirror then downloads new or missing  pool/ files and deletes obsolete 
    ones. The default value of pool_mappings = s:^Filename\: :: 
    is set for Debian Packages files. Appropriate additions and changes to
    documentation files.	
  * New example configuration files debian-dist use this feature to mirror
    a single release "sarge" for a single architecture "i386" with minimum
    RAM and disk.
  * do_unlinks -h now gives help message.
  * mirrors without arguments now gives help message.
  * mirrors -h help message extended and -v version message added.	
  * mirrors now correct for trailing comments in FQDN lists
    and if -f file missing in /etc/mirror/sites/ searches pwd. 

 -- Ian Maclaine-cross <iml@debian.org>  Sun, 9 Mar 2003 17:40:58 +1100

mirror (2.9-46) unstable; urgency=low

  * ctan-mirrors downloads http://ctan.unsw.edu.au/tex-archive/CTAN.sites
    and edits it down to a FQDN list of full CTAN sites daily, ready
    for package build to install it in /etc/mirror/sites/CTAN.
    "$ mirrors -f CTAN" lists FQDNs in order of increasing response time.
  * cpan-mirrors does this for http://www.cpan.org/SITES.html and CPAN.    
	
 -- Ian Maclaine-cross <iml@debian.org>  Thu, 13 Feb 2003 12:03:22 +1100

mirror (2.9-45) unstable; urgency=low

  * mirrors -h description expanded.
  * debian-mirrors symlinks to mirrors.

 -- Ian Maclaine-cross <iml@debian.org>  Wed, 12 Feb 2003 22:15:56 +1100

mirror (2.9-44) unstable; urgency=low

  * def-mirrors downloads http://www.debian.org/mirror/list and edits 
    it down to a default FQDN list daily, ready for package build.

