=== debian/control ===
Source: mirror
Section: net
Priority: optional
Maintainer: Steve McIntyre <93sam@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>=7)
Homepage: http://www6.uniovi.es/mirror/

Package: mirror
Architecture: all
Depends: ${perl:Depends}, netbase, patch, ${misc:Depends}, libperl4-corelibs-perl
Recommends: mailx, fping
Suggests: at, cron
Description: keeps FTP archives up-to-date
 Mirror uses the FTP protocol to locally duplicate remote host files
 and directories selected with Perl regular expressions.  By default
 transfers only files missing locally or whose remote sizes or
 time-stamps have changed.  Can reduce directory download using
 compressed listings in ls-lR.gz files or further using compressed
 differences of daily listings in ls-lR.patch.gz files.  Amongst many
 flexible options it can gzip and split files.  Tracks large distant
 FTP archives accurately with low download volume.
 .
 Simpler programs like "mirrordir", "rsync" or "wget" use less memory and may 
 copy directory trees faster between local machines.
